Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Persistence/Content/Location/Trash/Handler.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\Persistence\Content\Location\Trash;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
10
14 interface Handler
15 {
26 public function loadTrashItem($id);
27
39 public function trashSubtree($locationId);
40
57 public function recover($trashedId, $newParentId);
58
74 public function findTrashItems(Criterion $criterion = null, $offset = 0, $limit = null, array $sort = null);
75
82 public function emptyTrash();
83
92 public function deleteTrashItem($trashedId);
93 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\SPI\Persistence\Content\Location\$id
$id
Definition: SPI/Persistence/Content/Location.php:39
eZ\Publish\SPI\Persistence\Content\Location\Trash\Handler
The Trash Handler interface defines operations on Location elements in the storage engine.
Definition: SPI/Persistence/Content/Location/Trash/Handler.php:15
eZ\Publish\SPI\Persistence\Content\Location\Trash\Handler\emptyTrash
emptyTrash()
Empties the trash Everything contained in the trash must be removed.
eZ\Publish\SPI\Persistence\Content\Location\Trash\Handler\trashSubtree
trashSubtree($locationId)
Sends a subtree starting to $locationId to the trash and returns a Trashed object corresponding to $l...
eZ\Publish\SPI\Persistence\Content\Location\Trash\Handler\deleteTrashItem
deleteTrashItem($trashedId)
Removes a trashed location identified by $trashedLocationId from trash Associated content has to be d...
eZ\Publish\SPI\Persistence\Content\Location\Trash\Handler\recover
recover($trashedId, $newParentId)
Returns a trashed location to normal state.
eZ\Publish\SPI\Persistence\Content\Location\Trash\Handler\findTrashItems
findTrashItems(Criterion $criterion=null, $offset=0, $limit=null, array $sort=null)
Returns all trashed locations satisfying the $criterion (if provided), sorted with $sort (if any).
eZ\Publish\SPI\Persistence\Content\Location\Trash\Handler\loadTrashItem
loadTrashItem($id)
Loads the data for the trashed location identified by $id.
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
eZ\Publish\SPI\Persistence\Content\Location\Trash
Definition: SPI/Persistence/Content/Location/Trash/Handler.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.